#include <bits/stdc++.h>
using namespace std;

int Xor(int a, int b) {
    return a ^ b; 
}
int And(int a, int b) {
    return a & b; 
}
int racun(int l, int r, vector<int> a, vector<int> b){
    int x = a[l];
    int y = b[l];
    for(int i=l+1; i<=r; i++){
        x = Xor(x,a[i]);
        y = And(y,b[i]);
    }
    return x*y;
}
int resenje(vector<int> a, vector<int> b, int n){
    vector<int> v;
    int m = 0;
    for(int i = 0; i < n; i++){
        for(int j = i + 1; j < n; j++){
            m = max(racun(i,j,a,b),m);
        }
    }
    return m;
}
int main() {
    int n; cin>>n;
    vector<int> a;vector<int> b;int x;
    for(int i=0;i<n;i++){
        cin>>x;
        a.push_back(x);
    }
    for(int i=0;i<n;i++){
        cin>>x;
        b.push_back(x);
    }
    cout<<resenje(a,b,n);
    return 0;
}